sdbus-c++: sdbus::MethodReply Class Reference

sdbus-c++ 1.3.0 High-level C++ D-Bus library based on systemd D-Bus implementation

Loading...
Searching...
No Matches
Public Member Functions | List of all members
sdbus::MethodReply Class Reference
Inheritance diagram for sdbus::MethodReply:

## Public Member Functions
void | send () const
Public Member Functions inherited from sdbus::Message
Message & | operator<< (bool item)
Message & | operator<< (int16_t item)
Message & | operator<< (int32_t item)
Message & | operator<< (int64_t item)
Message & | operator<< (uint8_t item)
Message & | operator<< (uint16_t item)
Message & | operator<< (uint32_t item)
Message & | operator<< (uint64_t item)
Message & | operator<< (double item)
Message & | operator<< (const char *item)
Message & | operator<< (const std::string &item)
Message & | operator<< (const Variant &item)
Message & | operator<< (const ObjectPath &item)
Message & | operator<< (const Signature &item)
Message & | operator<< (const UnixFd &item)
template<typename _Element , typename _Allocator >
Message & | operator<< (const std::vector< _Element, _Allocator > &items)
template<typename _Element , std::size_t _Size>
Message & | operator<< (const std::array< _Element, _Size > &items)
template<typename _Key , typename _Value , typename _Compare , typename _Allocator >
Message & | operator<< (const std::map< _Key, _Value, _Compare, _Allocator > &items)
template<typename _Key , typename _Value , typename _Hash , typename _KeyEqual , typename _Allocator >
Message & | operator<< (const std::unordered_map< _Key, _Value, _Hash, _KeyEqual, _Allocator > &items)
template<typename... _ValueTypes>
Message & | operator<< (const Struct< _ValueTypes... > &item)
template<typename... _ValueTypes>
Message & | operator<< (const std::tuple< _ValueTypes... > &item)
Message & | operator>> (bool &item)
Message & | operator>> (int16_t &item)
Message & | operator>> (int32_t &item)
Message & | operator>> (int64_t &item)
Message & | operator>> (uint8_t &item)
Message & | operator>> (uint16_t &item)
Message & | operator>> (uint32_t &item)
Message & | operator>> (uint64_t &item)
Message & | operator>> (double &item)
Message & | operator>> (char *&item)
Message & | operator>> (std::string &item)
Message & | operator>> (Variant &item)
Message & | operator>> (ObjectPath &item)
Message & | operator>> (Signature &item)
Message & | operator>> (UnixFd &item)
template<typename _Element , typename _Allocator >
Message & | operator>> (std::vector< _Element, _Allocator > &items)
template<typename _Element , std::size_t _Size>
Message & | operator>> (std::array< _Element, _Size > &items)
template<typename _Key , typename _Value , typename _Compare , typename _Allocator >
Message & | operator>> (std::map< _Key, _Value, _Compare, _Allocator > &items)
template<typename _Key , typename _Value , typename _Hash , typename _KeyEqual , typename _Allocator >
Message & | operator>> (std::unordered_map< _Key, _Value, _Hash, _KeyEqual, _Allocator > &items)
template<typename... _ValueTypes>
Message & | operator>> (Struct< _ValueTypes... > &item)
template<typename... _ValueTypes>
Message & | operator>> (std::tuple< _ValueTypes... > &item)
Message & | openContainer (const std::string &signature)
Message & | closeContainer ()
Message & | openDictEntry (const std::string &signature)
Message & | closeDictEntry ()
Message & | openVariant (const std::string &signature)
Message & | closeVariant ()
Message & | openStruct (const std::string &signature)
Message & | closeStruct ()
Message & | enterContainer (const std::string &signature)
Message & | exitContainer ()
Message & | enterDictEntry (const std::string &signature)
Message & | exitDictEntry ()
Message & | enterVariant (const std::string &signature)
Message & | exitVariant ()
Message & | enterStruct (const std::string &signature)
Message & | exitStruct ()
Message & | appendArray (char type, const void *ptr, size_t size)
Message & | readArray (char type, const void **ptr, size_t *size)
| operator bool () const
void | clearFlags ()
std::string | getInterfaceName () const
std::string | getMemberName () const
std::string | getSender () const
std::string | getPath () const
std::string | getDestination () const
void | peekType (std::string &type, std::string &contents) const
bool | isValid () const
bool | isEmpty () const
bool | isAtEnd (bool complete) const
void | copyTo (Message &destination, bool complete) const
void | seal ()
void | rewind (bool complete)
pid_t | getCredsPid () const
uid_t | getCredsUid () const
uid_t | getCredsEuid () const
gid_t | getCredsGid () const
gid_t | getCredsEgid () const
std::vector< gid_t > | getCredsSupplementaryGids () const
std::string | getSELinuxContext () const

## Additional Inherited Members
Protected Member Functions inherited from sdbus::Message
| Message (internal::ISdBus *sdbus) noexcept
| Message (void *msg, internal::ISdBus *sdbus) noexcept
| Message (void *msg, internal::ISdBus *sdbus, adopt_message_t) noexcept
| Message (const Message &) noexcept
Message & | operator= (const Message &) noexcept
| Message (Message &&other) noexcept
Message & | operator= (Message &&other) noexcept
Protected Attributes inherited from sdbus::Message
friend | Factory
void * | msg_ {}
internal::ISdBus * | sdbus_ {}
bool | ok_ {true}

The documentation for this class was generated from the following file:

- include/sdbus-c++/Message.h